Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 655046 - sosreport French translation of y/n prompt is wrong and confusing
Summary: sosreport French translation of y/n prompt is wrong and confusing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos
Version: 5.5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Bryn M. Reeves
QA Contact: David Kutálek
URL:
Whiteboard:
Depends On: 564241
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-19 13:12 UTC by Adrien Kunysz
Modified: 2012-08-10 09:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: An incorrect translation in the fr locale files for sos caused a confusing prompt to be presented to the user when run in interactive mode Consequence: Attempting to enter the suggested prompt response resulted in an error as the translated prompt and response did not match ("oui" vs. "yes"). Fix: The expected response string has been changed to match the translated prompt Result: The program now excepts the expected response based on the translated prompt for the fr locale
Clone Of:
Environment:
Last Closed: 2012-02-21 03:24:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0153 0 normal SHIPPED_LIVE Low: sos security, bug fix, and enhancement update 2012-02-21 07:25:08 UTC

Description Adrien Kunysz 2010-11-19 13:12:54 UTC
* Observed behavior

> # LANG=fr sosreport
> 
> sosreport (version 1.7)
> 
> This utility will collect some detailed  information about the
> hardware and  setup of your  Red Hat Enterprise Linux  system.
> The information is collected and an archive is  packaged under
> /tmp, which you can send to a support representative.
> Red Hat will use this information for diagnostic purposes ONLY
> and it will be considered confidential information.
> 
> This process may take a while to complete.
> No changes will be made to your system.
> 
> Press ENTER to continue, or CTRL-C to quit.
> 
> Un ou plusieurs plugins ont détecté un problème avec votre configuration.
> Prière de vérifier les messages suivants:
> 
> cluster:
>     * one or more nfs export do not have a fsid attribute set.
> 
> Voulez vous continuer (y/n)?y
> Voulez vous continuer (y/n)?o
> 
> Prière d'entrer votre première initiale et votre nom [pe1950-1]: 

* Desired behavior 

> # LANG=fr sosreport
> 
> sosreport (version 1.7)
> 
> This utility will collect some detailed  information about the
> hardware and  setup of your  Red Hat Enterprise Linux  system.
> The information is collected and an archive is  packaged under
> /tmp, which you can send to a support representative.
> Red Hat will use this information for diagnostic purposes ONLY
> and it will be considered confidential information.
> 
> This process may take a while to complete.
> No changes will be made to your system.
> 
> Press ENTER to continue, or CTRL-C to quit.
> 
> Un ou plusieurs plugins ont détecté un problème avec votre configuration.
> Prière de vérifier les messages suivants:
> 
> cluster:
>     * one or more nfs export do not have a fsid attribute set.
> 
> Voulez vous continuer (o/n)?o
> 
> Prière d'entrer votre première initiale et votre nom [pe1950-1]: 

Can you please fix the translation in a future RHEL 5 release so the character user has to enter matches the one that is displayed in the prompt (replace "y" with "o").

Comment 3 Bryn M. Reeves 2011-01-14 16:47:33 UTC
Fixed in 6.0 so should be addressed by the planned 5.7 rebase.

Comment 4 Bryn M. Reeves 2011-04-07 19:33:34 UTC
Looking at the fr sos.po in CVS this seems to be fixed already. Please re-open if this is still an issue.

Comment 5 David Kutálek 2011-06-29 09:00:32 UTC
Unfortunately this is not fixed, really:

# rpm -q sos
sos-1.7-9.54.el5
# LANG=fr sosreport -o cluster

sosreport (version 1.7)

This utility will collect some detailed  information about the
hardware and  setup of your  Red Hat Enterprise Linux  system.
The information is collected and an archive is  packaged under
/tmp, which you can send to a support representative.
Red Hat will use this information for diagnostic purposes ONLY
and it will be considered confidential information.

This process may take a while to complete.
No changes will be made to your system.

Press ENTER to continue, or CTRL-C to quit.

Un ou plusieurs plugins ont détecté un problème avec votre configuration.
Prière de vérifier les messages suivants:

cluster:
    * required module is not loaded: dlm
    * service cman is not running
    * service cman is not started in default runlevel
    * service rgmanager is not running
    * service rgmanager is not started in default runlevel
    * cluster node is not quorate
    * one or more nodes have manual fencing agent configured (data integrity is not guaranteed)
    * one or more nfs export do not have a fsid attribute set.

Voulez vous continuer (y/n)?y
Voulez vous continuer (y/n)?o

Prière d'entrer votre première initiale et votre nom [hp-rx2660-03]: 

--

It is wrong in sos.po in sos-1.7.tar.gz and not fixed by any patch.

Comment 12 Bryn M. Reeves 2012-01-25 16:42:18 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: An incorrect translation in the fr locale files for sos caused a confusing
prompt to be presented to the user when run in interactive mode

Consequence: Attempting to enter the suggested prompt response resulted in an error as the
translated prompt and response did not match ("oui" vs. "yes").

Fix: The expected response string has been changed to match the translated prompt

Result: The program now excepts the expected response based on the translated prompt
for the fr locale

Comment 13 errata-xmlrpc 2012-02-21 03:24:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0153.html


Note You need to log in before you can comment on or make changes to this bug.